Cocoon API: Class AbstractFormatter

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.formatter
Class AbstractFormatter

    java.lang.Object
      |
      +--org.apache.cocoon.formatter.AbstractFormatter

All Implemented Interfaces:
  Cacheable, Configurable, Formatter, Status

Direct Known Subclasses:
  FO2PDFFormatter, HTMLFormatter, TextFormatter, XHTMLFormatter, XMLFormatter

public abstract class AbstractFormatter
extends java.lang.Object
implements Configurable, Formatter, Status, Cacheable

Version:
  $Revision: 1.4 $ $Date: 2000/11/20 01:43:54 $
Author:
  Stefano Mazzocchi

Field Summary
`protected java.lang.String` | `doctypePublic`
`protected java.lang.String` | `doctypeSystem`
`protected java.lang.String` | `encoding`
`protected org.apache.xml.serialize.OutputFormat` | `format`
`protected java.lang.String` | `indent`
`protected java.lang.String` | `lineWidth`
`protected java.lang.String` | `MIMEtype`
`protected java.lang.String` | `preserveSpace`
`protected java.lang.String` | `statusMessage`

Constructor Summary
`AbstractFormatter()`

Method Summary
`java.lang.String` | `getEncoding()` Returns the encoding used by this formatter for output.
`java.lang.String` | `getMIMEType()` Returns the MIME type used by this formatter for output.
`java.lang.String` | `getStatus()` Returns information about the status of the implementing class.
`void` | `init(Configurations conf)` Initialize the class by passing its configurations.
`boolean` | `isCacheable(javax.servlet.http.HttpServletRequest request)` Returns whether this request is suitable for cacheing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.formatter.Formatter
`format`

Field Detail

### statusMessage

    protected java.lang.String statusMessage

### MIMEtype

    protected java.lang.String MIMEtype

### encoding

    protected java.lang.String encoding

### doctypePublic

    protected java.lang.String doctypePublic

### doctypeSystem

    protected java.lang.String doctypeSystem

### indent

    protected java.lang.String indent

### lineWidth

    protected java.lang.String lineWidth

### preserveSpace

    protected java.lang.String preserveSpace

### format

    protected org.apache.xml.serialize.OutputFormat format

Constructor Detail

### AbstractFormatter

    public AbstractFormatter()

Method Detail

### init

    public void init(Configurations conf)

  Description copied from interface: `Configurable`
  Initialize the class by passing its configurations.
  Specified by:
    `init` in interface `Configurable`

### getEncoding

    public java.lang.String getEncoding()

  Description copied from interface: `Formatter`
  Returns the encoding used by this formatter for output.
  Specified by:
    `getEncoding` in interface `Formatter`

### getMIMEType

    public java.lang.String getMIMEType()

  Description copied from interface: `Formatter`
  Returns the MIME type used by this formatter for output.
  Specified by:
    `getMIMEType` in interface `Formatter`

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Specified by:
    `getStatus` in interface `Status`

### isCacheable

    public boolean isCacheable(javax.servlet.http.HttpServletRequest request)

  Description copied from interface: `Cacheable`
  Returns whether this request is suitable for cacheing.
  Specified by:
    `isCacheable` in interface `Cacheable`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.